#!/bin/csh

# Syntax : ivstng.sh [<audio addr> <audio port num> <video addr> <video port num> [<ttl>]}

if($1 != "") then
  set audio_addr=$1
else
  set audio_addr=224.2.224.2
endif

if($2 != "") then
  set audio_port=$2
else
  set audio_port=2242
endif

if($3 != "") then
  set video_addr=$3
else
  set video_addr=224.2.224.4
endif

if($4 != "") then
  set video_port=$4
else
  set video_port=2244
endif

if($audio_port == 0) then 
  set audio_port=`expr $video_port - 2`
endif

if($video_port == 0) then 
  set video_port=`expr $audio_port + 2`
endif

# Should be + 2
if($audio_addr == 0) then 
  set audio_addr=224.2.224.2
endif

# Should be + 2
if($video_addr == 0) then 
  set video_addr=224.2.224.4
endif

if($5 != "") then
  set ttl=$5
else
  set ttl=16
endif

# May be not needed on your system
unsetenv LD_LIBRARY_PATH

# Edit the following line to reflect your install
if( -e /u/elvis/2/rodeo/common/mbone/rendez_vous/rendez_vous/common/lib) then
  if(`dirname $0` == ".") then
    setenv RENDEZVOUS_PATH ./lib
  else
    setenv RENDEZVOUS_PATH /u/elvis/2/rodeo/common/mbone/rendez_vous/rendez_vous/common/lib
  endif
else
    setenv RENDEZVOUS_PATH ./lib
endif  

echo "Starting Rendez-Vous"
echo "Library placed at ${RENDEZVOUS_PATH}"
echo "Target audio address is $audio_addr, target video address is $video_addr, audio port is $audio_port, video port is $video_port and ttl is $ttl"
`dirname $0`/ivstng $audio_addr/$audio_port $video_addr/$video_port $ttl

